# Organization API: Org Cloud Compute

> Every Organization API operation tagged Org Cloud Compute.

Source: https://www.coritan.com/docs/api/reference/organizations/org-cloud-compute/

Base URL: `https://api.coritan.com/api/v1`. Paths below are complete.

To try these requests in the browser, open the [interactive Organization API reference](https://api.coritan.com/docs/org).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/vps`](#op-get-api-v1-orgs-org-slug-vps) | Org list instances |
| GET | [`/api/v1/orgs/{org_slug}/vps/templates`](#op-get-api-v1-orgs-org-slug-vps-templates) | Org list templates |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}`](#op-get-api-v1-orgs-org-slug-vps-uuid) | Org get instance |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/backups`](#op-get-api-v1-orgs-org-slug-vps-uuid-backups) | Org list backups |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/backups`](#op-post-api-v1-orgs-org-slug-vps-uuid-backups) | Org create backup |
| DELETE | [`/api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}`](#op-delete-api-v1-orgs-org-slug-vps-uuid-backups-backup-id) | Org delete backup |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}/restore`](#op-post-api-v1-orgs-org-slug-vps-uuid-backups-backup-id-restore) | Org restore backup |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/bandwidth`](#op-get-api-v1-orgs-org-slug-vps-uuid-bandwidth) | Org bandwidth |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/cloud-init/regenerate`](#op-post-api-v1-orgs-org-slug-vps-uuid-cloud-init-regenerate) | Org regenerate cloud init |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/config`](#op-get-api-v1-orgs-org-slug-vps-uuid-config) | Org config |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/console`](#op-get-api-v1-orgs-org-slug-vps-uuid-console) | Org console |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/graphs`](#op-get-api-v1-orgs-org-slug-vps-uuid-graphs) | Org graphs |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/guest`](#op-get-api-v1-orgs-org-slug-vps-uuid-guest) | Org guest |
| PATCH | [`/api/v1/orgs/{org_slug}/vps/{uuid}/hostname`](#op-patch-api-v1-orgs-org-slug-vps-uuid-hostname) | Org hostname |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/ips`](#op-get-api-v1-orgs-org-slug-vps-uuid-ips) | Org IPs |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/power`](#op-post-api-v1-orgs-org-slug-vps-uuid-power) | Org power |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/rebuild`](#op-post-api-v1-orgs-org-slug-vps-uuid-rebuild) | Org rebuild |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/rescue/enter`](#op-post-api-v1-orgs-org-slug-vps-uuid-rescue-enter) | Org rescue enter |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/rescue/exit`](#op-post-api-v1-orgs-org-slug-vps-uuid-rescue-exit) | Org rescue exit |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/rescue/media`](#op-get-api-v1-orgs-org-slug-vps-uuid-rescue-media) | Org rescue media |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/reset-password`](#op-post-api-v1-orgs-org-slug-vps-uuid-reset-password) | Org reset password |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/snapshots`](#op-get-api-v1-orgs-org-slug-vps-uuid-snapshots) | Org list snapshots |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/snapshots`](#op-post-api-v1-orgs-org-slug-vps-uuid-snapshots) | Org create snapshot |
| DELETE | [`/api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}`](#op-delete-api-v1-orgs-org-slug-vps-uuid-snapshots-snapshot-id) | Org delete snapshot |
| POST | [`/api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}/rollback`](#op-post-api-v1-orgs-org-slug-vps-uuid-snapshots-snapshot-id-rollback) | Org rollback snapshot |
| PUT | [`/api/v1/orgs/{org_slug}/vps/{uuid}/ssh-keys`](#op-put-api-v1-orgs-org-slug-vps-uuid-ssh-keys) | Org SSH keys |
| GET | [`/api/v1/orgs/{org_slug}/vps/{uuid}/status`](#op-get-api-v1-orgs-org-slug-vps-uuid-status) | Org status |

### Org list instances {#op-get-api-v1-orgs-org-slug-vps}

`GET /api/v1/orgs/{org_slug}/vps`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org list templates {#op-get-api-v1-orgs-org-slug-vps-templates}

`GET /api/v1/orgs/{org_slug}/vps/templates`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org get instance {#op-get-api-v1-orgs-org-slug-vps-uuid}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org list backups {#op-get-api-v1-orgs-org-slug-vps-uuid-backups}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/backups`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org create backup {#op-post-api-v1-orgs-org-slug-vps-uuid-backups}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json`

| Field | Type | Required |
| --- | --- | --- |
| `note` | string or null | no |
| `mode` | string | no |
| `compress` | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org delete backup {#op-delete-api-v1-orgs-org-slug-vps-uuid-backups-backup-id}

`DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `backup_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org restore backup {#op-post-api-v1-orgs-org-slug-vps-uuid-backups-backup-id-restore}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}/restore`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `backup_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org bandwidth {#op-get-api-v1-orgs-org-slug-vps-uuid-bandwidth}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/bandwidth`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org regenerate cloud init {#op-post-api-v1-orgs-org-slug-vps-uuid-cloud-init-regenerate}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/cloud-init/regenerate`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org config {#op-get-api-v1-orgs-org-slug-vps-uuid-config}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/config`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org console {#op-get-api-v1-orgs-org-slug-vps-uuid-console}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/console`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org graphs {#op-get-api-v1-orgs-org-slug-vps-uuid-graphs}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/graphs`

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `uuid` | path | string | yes |  |
| `org_slug` | path | string | yes |  |
| `timeframe` | query | string | no | Default: `hour`. |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org guest {#op-get-api-v1-orgs-org-slug-vps-uuid-guest}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/guest`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org hostname {#op-patch-api-v1-orgs-org-slug-vps-uuid-hostname}

`PATCH /api/v1/orgs/{org_slug}/vps/{uuid}/hostname`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `hostname` | string | yes |
| `reboot` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org IPs {#op-get-api-v1-orgs-org-slug-vps-uuid-ips}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/ips`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org power {#op-post-api-v1-orgs-org-slug-vps-uuid-power}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/power`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `action` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org rebuild {#op-post-api-v1-orgs-org-slug-vps-uuid-rebuild}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/rebuild`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `template_id` | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org rescue enter {#op-post-api-v1-orgs-org-slug-vps-uuid-rescue-enter}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/enter`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `iso_volid` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org rescue exit {#op-post-api-v1-orgs-org-slug-vps-uuid-rescue-exit}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/exit`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org rescue media {#op-get-api-v1-orgs-org-slug-vps-uuid-rescue-media}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/media`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org reset password {#op-post-api-v1-orgs-org-slug-vps-uuid-reset-password}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/reset-password`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org list snapshots {#op-get-api-v1-orgs-org-slug-vps-uuid-snapshots}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org create snapshot {#op-post-api-v1-orgs-org-slug-vps-uuid-snapshots}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | yes |
| `description` | string or null | no |
| `vmstate` | boolean | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org delete snapshot {#op-delete-api-v1-orgs-org-slug-vps-uuid-snapshots-snapshot-id}

`DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `snapshot_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org rollback snapshot {#op-post-api-v1-orgs-org-slug-vps-uuid-snapshots-snapshot-id-rollback}

`POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}/rollback`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `snapshot_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org SSH keys {#op-put-api-v1-orgs-org-slug-vps-uuid-ssh-keys}

`PUT /api/v1/orgs/{org_slug}/vps/{uuid}/ssh-keys`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `ssh_keys` | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Org status {#op-get-api-v1-orgs-org-slug-vps-uuid-status}

`GET /api/v1/orgs/{org_slug}/vps/{uuid}/status`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
